For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all residents
        • GETGet a resident by ID
        • POSTCreate Resident: Rent Manager
        • PUTUpdate Resident: Rent Manager
        • POSTCreate Resident Custom Data: Rent Manager
        • PUTUpdate Resident Custom Data: Rent Manager
        • POSTCreate Resident Files: Rent Manager
        • POSTCreate Resident Note: RentManager
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Rent ManagerResidents

Create Resident Note: RentManager

POST
/v1/residents/rentmanager/:resident_id/notes/
POST
/v1/residents/rentmanager/:resident_id/notes/
$curl -X POST https://api.propexo.com/v1/residents/rentmanager/resident_id/notes/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "int-789456123",
> "notes": "Resident reported a leaking faucet in the kitchen. Maintenance has been notified and will address the issue within 48 hours."
>}'
1{
2 "meta": {
3 "job_id": "job-20240615-001"
4 },
5 "result": {
6 "integration_id": "int-789456123",
7 "resident_id": "res-123456789",
8 "category_id": "cat-001",
9 "notes": "Resident reported a leaking faucet in the kitchen. Maintenance has been notified and will address the issue within 48 hours.",
10 "attachment": {
11 "file_name": "maintenance_request.pdf",
12 "mime_type": "application/pdf",
13 "file_data": "SGVsbG8gV29ybGQ="
14 }
15 }
16}
Note: In the case of a failed file upload, we will attempt to upload the file again if we receive a 500 runtime error from Rent Manager. If the file is still not uploaded, we will return an error. | Method | |---| | POST /Tenants/HistoryNotes | | POST /HistoryNotes/{noteId}/UploadAttachments | <Note title="Notice">Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.</Note>
Was this page helpful?
Previous

Get all service requests

Next
Built with

Note: In the case of a failed file upload, we will attempt to upload the file again if we receive a 500 runtime error from Rent Manager. If the file is still not uploaded, we will return an error.

Method
POST /Tenants/HistoryNotes
POST /HistoryNotes/{noteId}/UploadAttachments
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

resident_idstringRequired
The ID of the resource.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
notesstringRequired
Notes associated with the resident
category_idstringOptional
The Propexo unique identifier for the note category
attachmentobjectOptional
Attachment file for the note on the resident

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error